import 'package:freezed_annotation/freezed_annotation.dart';
import 'package:sghi_core/afya_moja_core/afya_moja_core.dart';

part 'business_hour.freezed.dart';
part 'business_hour.g.dart';

@freezed
class BusinessHour with _$BusinessHour {
  factory BusinessHour({
    @JsonKey(name: 'id', includeToJson: false) String? id,
    @JsonKey(name: 'day', fromJson: dayOfWeekFromJson) DayOfWeek? day,
    @JsonKey(name: 'openingTime') String? openingTime,
    @JsonKey(name: 'closingTime') String? closingTime,
    @JsonKey(name: 'facilityId', includeToJson: false) String? facilityId,
  }) = _BusinessHour;

  factory BusinessHour.fromJson(Map<String, dynamic> json) =>
      _$BusinessHourFromJson(json);

  factory BusinessHour.initial() => BusinessHour(
        id: UNKNOWN,
        day: DayOfWeek.UNKNOWN,
        openingTime: UNKNOWN,
        closingTime: UNKNOWN,
        facilityId: UNKNOWN,
      );
}
