import 'package:freezed_annotation/freezed_annotation.dart';
import 'package:sghi_core/afya_moja_core/afya_moja_core.dart';

part 'facility_identifier.freezed.dart';
part 'facility_identifier.g.dart';

@freezed
class FacilityIdentifier with _$FacilityIdentifier {
  factory FacilityIdentifier({
    @JsonKey(name: 'id', includeToJson: false,) String? id,
    @JsonKey(name: 'value') String? value,
    @JsonKey(name: 'type') FacilityIdentifierType? type,
    @JsonKey(name: 'valid_from', includeToJson: false,) String? validFrom,
    @JsonKey(name: 'valid_to',
      includeToJson: false,
    ) String? validTo,
  }) = _FacilityIdentifier;

  factory FacilityIdentifier.fromJson(Map<String, dynamic> json) =>
      _$FacilityIdentifierFromJson(json);

  factory FacilityIdentifier.initial() => FacilityIdentifier(
        value: UNKNOWN,
        id: UNKNOWN,
        validFrom: UNKNOWN,
        validTo: UNKNOWN,
      );
}
