import 'package:freezed_annotation/freezed_annotation.dart';
import 'package:sghi_core/afya_moja_core/afya_moja_core.dart';
import 'package:sghi_core/afya_moja_core/src/domain/core/entities/service_identifier.dart';

part 'facility_service.freezed.dart';
part 'facility_service.g.dart';

@freezed
class FacilityService with _$FacilityService {
  factory FacilityService({
    @JsonKey(name: 'id', includeToJson: false) String? id,
    @JsonKey(name: 'name') String? name,
    @JsonKey(name: 'description') String? description,
    @JsonKey(name: 'identifiers') List<ServiceIdentifier?>? identifiers,
  }) = _FacilityService;

  factory FacilityService.fromJson(Map<String, dynamic> json) =>
      _$FacilityServiceFromJson(json);

  factory FacilityService.initial() => FacilityService(
        id: UNKNOWN,
        name: UNKNOWN,
        description: UNKNOWN,
        identifiers: <ServiceIdentifier>[],
      );
}
