import 'package:freezed_annotation/freezed_annotation.dart';
import 'package:sghi_core/afya_moja_core/afya_moja_core.dart';

part 'service_identifier.freezed.dart';
part 'service_identifier.g.dart';

@freezed
class ServiceIdentifier with _$ServiceIdentifier {
  factory ServiceIdentifier({
    @JsonKey(name: 'id', includeToJson: false) String? id,
    @JsonKey(name: 'identifierType') String? identifierType,
    @JsonKey(name: 'identifierValue') String? identifierValue,
    @JsonKey(name: 'serviceID', includeToJson: false) String? serviceId,
  }) = _ServiceIdentifier;

  factory ServiceIdentifier.fromJson(Map<String, dynamic> json) =>
      _$ServiceIdentifierFromJson(json);

  factory ServiceIdentifier.initial() => ServiceIdentifier(
        id: UNKNOWN,
        identifierType: UNKNOWN,
        identifierValue: UNKNOWN,
        serviceId: UNKNOWN,
      );
}
