/// A custom exception class for application errors.
///
/// This class implements the base `Exception` class and provides additional properties
/// for capturing details about application errors. The exception can hold a
/// `message` describing the error, a `cause` that triggered the error, and an optional
/// `error` object containing additional error-related information.
class MyAfyaException implements Exception {
  MyAfyaException({required this.cause, required this.message, this.error});
  final dynamic message;
  final dynamic cause;
  final dynamic error;
}
