String createRoomEndpoint(String baseUrl) =>
    '$baseUrl/_matrix/client/v3/createRoom';
String loginEndpoint(String baseUrl) => '$baseUrl/_matrix/client/v3/login';
String listRoomsEndpoint(String baseUrl) =>
    '$baseUrl/_matrix/client/v3/joined_rooms';

String joinedMembersEndpoint(String roomID, String baseUrl) =>
    '$baseUrl/_matrix/client/v3/rooms/$roomID/joined_members';

String syncEndpoint(String baseUrl) => '$baseUrl/_matrix/client/v3/sync';

String stateEventsEndpoint(String roomID, String baseUrl) =>
    '$baseUrl/_matrix/client/v3/rooms/$roomID/state';

String roomMessageEventsEndpoint(String roomID, String baseUrl) =>
    '$baseUrl/_matrix/client/v3/rooms/$roomID/messages';

String sendMessageEventEndpoint(String roomID, String txnID, String baseUrl) =>
    '$baseUrl/_matrix/client/v3/rooms/$roomID/send/m.room.message/$txnID';

String searchMembersEndpoint(String baseUrl) =>
    '$baseUrl/_matrix/client/v3/user_directory/search';

String inviteUserToRoomEndpoint(String roomID, String baseUrl) =>
    '$baseUrl/_matrix/client/v3/rooms/$roomID/invite';

String fetchMediaEndpoint(
        String mediaID, String baseUrl, String mediaServerUrl) =>
    '$baseUrl/_matrix/media/v3/download/$mediaServerUrl/$mediaID';

String deleteMessageEventEndpoint(
  String roomID,
  String txnID,
  String eventID,
  String baseUrl,
) =>
    '$baseUrl/_matrix/client/v3/rooms/$roomID/redact/$eventID/$txnID} ';

String roomPowerLevelsEndpoint(String roomID, String baseUrl) =>
    '$baseUrl/_matrix/client/v3/rooms/$roomID/state/m.room.power_levels/';

String joinRoomEndpoint(String roomID, String baseUrl) =>
    '$baseUrl/_matrix/client/v3/rooms/$roomID/join';

String kickUserEndpoint(String roomID, String baseUrl) =>
    '$baseUrl/_matrix/client/v3/rooms/$roomID/kick';

String leaveRoomEndpoint(String roomID, String baseUrl) =>
    '$baseUrl/_matrix/client/v3/rooms/$roomID/leave';

String uploadMediaEndpoint(String baseUrl) =>
    '$baseUrl/_matrix/media/v3/upload';

String promoteUserToModeratorEndpoint(String roomID, String baseUrl) =>
    '$baseUrl/_matrix/client/v3/rooms/$roomID/state/m.room.power_levels/';

String banUserEndpoint(String roomID, String baseUrl) =>
    '$baseUrl/_matrix/client/v3/rooms/$roomID/ban';

String unBanUserEndpoint(String roomID, String baseUrl) =>
    '$baseUrl/_matrix/client/v3/rooms/$roomID/unban';

String bannedMembersEndpoint(String roomID, String baseUrl) =>
    '$baseUrl/_matrix/client/v3/rooms/$roomID/members?membership=ban';

String reportMessageEndpoint({
  required String roomID,
  required String eventID,
  required String baseUrl,
}) =>
    '$baseUrl/_matrix/client/v3/rooms/$roomID/report/$eventID';

String reportedEventsEndpoint(String roomID, String baseUrl) =>
    '$baseUrl/_synapse/admin/v1/event_reports?room_id=$roomID';

String eventReportByIDEndpoint(String reportID, String baseUrl) =>
    '$baseUrl/_synapse/admin/v1/event_reports/$reportID';

String updateAdminStatusEndpoint(String userID, String baseUrl) =>
    '$baseUrl/_synapse/admin/v2/users/$userID';
