import 'package:flutter_test/flutter_test.dart';
import 'package:sghi_core/afya_moja_core/afya_moja_core.dart';
import 'package:sghi_core/afya_moja_core/src/domain/core/entities/business_hour.dart';

void main() {
  test('Initial Business Hour', () {
    final BusinessHour businessHour = BusinessHour.initial();
    expect(businessHour.id, UNKNOWN);
    expect(businessHour.day, DayOfWeek.UNKNOWN);
    expect(businessHour.openingTime, UNKNOWN);
    expect(businessHour.closingTime, UNKNOWN);
    expect(businessHour.facilityId, UNKNOWN);
  });

  testWidgets('fromJson works correctly', (WidgetTester tester) async {
    final BusinessHour businessHourFromJson =
        BusinessHour.fromJson(<String, dynamic>{
      'id': 'sampled-id',
      'day': 'MONDAY',
      'openingTime': '8:00AM',
      'closingTime': '5:00PM',
      'facilityId': 'sampled-facility-id',
    });

    expect(businessHourFromJson.day, DayOfWeek.MONDAY);
  });
}
