import 'package:flutter_test/flutter_test.dart';
import 'package:sghi_core/afya_moja_core/afya_moja_core.dart';
import 'package:sghi_core/afya_moja_core/src/domain/core/entities/facility_service.dart';

void main() {
  test('Initial Facility Service', () {
    final FacilityService facilityService = FacilityService.initial();
    expect(facilityService.id, UNKNOWN);
    expect(facilityService.name, UNKNOWN);
    expect(facilityService.description, UNKNOWN);
  });

  testWidgets('fromJson works correctly', (WidgetTester tester) async {
    final FacilityService facilityServiceFromJson =
        FacilityService.fromJson(<String, dynamic>{
      'id': 'sampled-id',
      'name': 'sample-name',
      'description': 'sample-description',
    });

    expect(facilityServiceFromJson.name, 'sample-name');
  });
}
