import 'package:flutter_test/flutter_test.dart';
import 'package:sghi_core/afya_moja_core/afya_moja_core.dart';
import 'package:sghi_core/afya_moja_core/src/domain/core/entities/facility.dart';

void main() {
  test('initial facility object is correctly created', () {
    final Facility facility = Facility.initial();
    expect(facility.id, UNKNOWN);
    expect(facility.name, UNKNOWN);
  });

  testWidgets('fromJson works correctly', (WidgetTester tester) async {
    final Facility facilityFromJson = Facility.fromJson(<String, dynamic>{
      'id': 'testID',
      'name': 'testName',
      'fhirOrganisationID': 'testFhirOrganisationID',
    });

    expect(
      facilityFromJson.id,
      'testID',
    );
  });
}
