import 'package:flutter_test/flutter_test.dart';
import 'package:sghi_core/afya_moja_core/src/domain/core/entities/program.dart';

void main() {
  group(
    'Program',
    () {
      testWidgets(
        'fromJson works correctly',
        (WidgetTester tester) async {
          final Program program = Program.fromJson(
            <String, dynamic>{
              'id': 'some-id-12345',
              'active': true,
              'name': 'example-name',
              'fhirOrganisationID': 'some-id',
              'organisation': <String, dynamic>{
                'id': 'some-organisation-id',
                'name': 'organisation-name',
                'description': 'some-description',
              }
            },
          );

          expect(program.name, 'example-name');
          expect(
            program.organization?.name, 'organisation-name'
          );
        },
      );
    },
  );
}
