import 'package:flutter_test/flutter_test.dart';
import 'package:sghi_core/afya_moja_core/afya_moja_core.dart';
import 'package:sghi_core/afya_moja_core/src/domain/core/entities/service_identifier.dart';

void main() {
  test('Initial Service Identifier', () {
    final ServiceIdentifier serviceIdentifier = ServiceIdentifier.initial();
    expect(serviceIdentifier.id, UNKNOWN);
    expect(serviceIdentifier.identifierType, UNKNOWN);
    expect(serviceIdentifier.identifierValue, UNKNOWN);
    expect(serviceIdentifier.serviceId, UNKNOWN);
  });

  testWidgets('fromJson works correctly', (WidgetTester tester) async {
    final ServiceIdentifier serviceIdentifierFromJson =
        ServiceIdentifier.fromJson(<String, dynamic>{
      'id': 'sampled-id',
      'identifierType': 'sample-type',
      'identifierValue': 'sample-description',
      'serviceId': 'service-id',
    });

    expect(serviceIdentifierFromJson.identifierType, 'sample-type');
  });
}
