import 'package:flutter_test/flutter_test.dart';
import 'package:sghi_core/afya_moja_core/src/domain/core/entities/user.dart';
import 'package:sghi_core/afya_moja_core/src/enums.dart';
import 'package:sghi_core/communities/models/strings.dart';

void main() {
  group('User', () {
    testWidgets('fromJson works correctly', (WidgetTester tester) async {
      final User userDataFromJson = User.fromJson(<String, dynamic>{
        'id': 'testID',
        'username': 'testUsername',
        'termsAccepted': true,
        'active': true,
        'name': 'testName',
        'contacts': <String, dynamic>{
          'id': 'testId',
          'contactType': 'PHONE',
          'contactValue': '0712345678',
          'optedIn': true,
          'active': true,
        },
      });

      expect(
        userDataFromJson.userId,
        'testID',
      );
      expect(userDataFromJson.primaryContact?.contactType, ContactType.PHONE);

      final User userDataInitialData = User.initial();
      expect(
        userDataInitialData.userId,
        UNKNOWN,
      );
      expect(
        userDataInitialData.primaryContact?.contactType,
        ContactType.UNKNOWN,
      );
    });
  });
}
